Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.record
Class VerticalPageBreakRecord

    java.lang.Object
      org.apache.poi.hssf.record.RecordBase
          org.apache.poi.hssf.record.Record
              org.apache.poi.hssf.record.StandardRecord
                  org.apache.poi.hssf.record.PageBreakRecord
                      org.apache.poi.hssf.record.VerticalPageBreakRecord

    public final class VerticalPageBreakRecord

extends PageBreakRecord

VerticalPageBreak (0x001A) record that stores page breaks at columns

Author:
  Danny Mui (dmui at apache dot org)
See Also:
  `PageBreakRecord`

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.poi.hssf.record.PageBreakRecord
`PageBreakRecord.Break`

Field Summary
`static short` | `sid`

Constructor Summary
`VerticalPageBreakRecord()` Creates an empty vertical page break record
`VerticalPageBreakRecord(RecordInputStream in)`

Method Summary
`java.lang.Object` | `clone()`
`short` | `getSid()` return the non static version of the id for this record.

Methods inherited from class org.apache.poi.hssf.record.PageBreakRecord
`addBreak, getBreak, getBreaks, getBreaksIterator, getNumBreaks, isEmpty, removeBreak, serialize, toString`

Methods inherited from class org.apache.poi.hssf.record.StandardRecord
`getRecordSize, serialize`

Methods inherited from class org.apache.poi.hssf.record.Record
`cloneViaReserialise, serialize`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sid

    public static final short sid

See Also:
  Constant Field Values

Constructor Detail

### VerticalPageBreakRecord

    public VerticalPageBreakRecord()

  Creates an empty vertical page break record

### VerticalPageBreakRecord

    public VerticalPageBreakRecord(RecordInputStream in)

Parameters:
  `in` - the RecordInputstream to read the record from

Method Detail

### getSid

    public short getSid()

  Description copied from class: `Record`
  return the non static version of the id for this record.

  Specified by:
    `getSid` in class `Record`

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `Record`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD